Bug 484605 - No option to select paper size in gnome print dialogue
No option to select paper size in gnome print dialogue
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libgnomeprintui (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 18:42 EST by morgan read
Modified: 2013-04-02 00:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:51:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dialog windows - a4 paper is ignored (58.25 KB, image/png)
2009-12-10 08:48 EST, Jan Martinek
no flags Details

  None (edit)
Description morgan read 2009-02-08 18:42:44 EST
Description of problem:
No option to select paper size in gnome print dialogue, that's it!
(Great to see gnome print dialogue finally - now for TB...)

Version-Release number of selected component (if applicable):
firefox-3.0.6-1.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. Install ff
2. Print...
3.
  
Actual results:
No paper size options

Expected results:
Ability to select paper size (other than US Letter which seems the default, e.g. A4)

Additional info:
Comment 2 Bug Zapper 2009-11-18 06:03:03 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jan Martinek 2009-12-10 08:37:42 EST
I confirm this bug. At present, I am using Fedora 12 with
libgnomeprintui22-2.18.4-2.fc12.x86_64
and there is no possibility to print correctly on A4 paper. Using system-config-printer I selected paper size to "A4", but it has no effect. Gnome print dialog still shows "US letter" and it cannot be changed. Printed page is shifted and sometimes the margins are cut off.
I even changed the environment variable to
LC_PAPER="en_GB.UTF_8"
but it does not help.

There are two issues:
1) there is a bug in system-config-printer/cups/libgnomeprintui or I don't know which results in ignoring the setting the paper size
2) Gnome print dialog does not allow to change the paper size.

I print mostly from evince. Is there any workaround?
Comment 4 Jan Martinek 2009-12-10 08:48:34 EST
Created attachment 377448 [details]
Dialog windows - a4 paper is ignored

There are two windows on this screenshot. One shows system-config-printer with A4 paper selected. The other windows is gnome print dialog from evince, where the setting is ignored.
Comment 5 Bug Zapper 2009-12-18 02:51:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.